Bug 25333 - Change message transport type for Talking Tech from "phone" to "itiva"
Summary: Change message transport type for Talking Tech from "phone" to "itiva"
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Kyle M Hall
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 24204 25334 27534
  Show dependency treegraph
 
Reported: 2020-04-30 18:07 UTC by Kyle M Hall
Modified: 2021-01-25 09:27 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Text to go in the release notes:
The itiva notices operate in a manner that is specific to itiva, the actual notices themselves are generated and handled by custom scripts only used for itiva. In order to allow integration with other phone notice vendors these patches rename the existing 'phone' message transport type to 'itiva'
Version(s) released in:
20.11.00


Attachments
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech" (10.56 KB, patch)
2020-04-30 18:39 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech" (9.78 KB, patch)
2020-04-30 18:41 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech" (10.98 KB, patch)
2020-04-30 18:51 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech" (11.74 KB, patch)
2020-04-30 19:11 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva" (11.59 KB, patch)
2020-05-06 10:20 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva" (11.68 KB, patch)
2020-10-21 19:03 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva" (11.79 KB, patch)
2020-10-22 01:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25333: (QA follow-up) Update opac messaging for new transport name (3.20 KB, patch)
2020-10-29 18:18 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva" (11.79 KB, patch)
2020-11-01 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25333: (QA follow-up) Update opac messaging for new transport name (3.24 KB, patch)
2020-11-01 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25333: (QA follow-up) Change phone to itiva on overduerules.tt (1.86 KB, patch)
2020-11-01 13:39 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva" (10.73 KB, patch)
2020-11-02 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25333: (QA follow-up) Update opac messaging for new transport name (3.24 KB, patch)
2020-11-02 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 25333: (QA follow-up) Change phone to itiva on overduerules.tt (1.86 KB, patch)
2020-11-02 09:31 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kyle M Hall 2020-04-30 18:07:27 UTC
From its inception, phone notices via Talking Tech have not behaved like other notices. Instead of reading notices generated by Koha, the Talking Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can be processed by plugins to support arbitrary telephony vendors ( we will be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage transport type for Talking Tech from 'phone' to 'talkingtech' to highlight its specificity and difference from standard message transports.
Comment 1 Kyle M Hall 2020-04-30 18:39:55 UTC
Created attachment 104046 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'talkingtech' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality
Comment 2 Kyle M Hall 2020-04-30 18:41:20 UTC
Created attachment 104047 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'talkingtech' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality
Comment 3 Kyle M Hall 2020-04-30 18:51:48 UTC
Created attachment 104048 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'talkingtech' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality
Comment 4 Kyle M Hall 2020-04-30 19:11:24 UTC
Created attachment 104049 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "talkingtech"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'talkingtech' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality
Comment 5 Katrin Fischer 2020-04-30 22:51:49 UTC
It looks like there was a name change (see bug 24204). Should we start reflecting this here?
Comment 6 Kyle M Hall 2020-05-06 10:20:31 UTC
Created attachment 104415 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'itiva' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality
Comment 7 Andrew Fuerste-Henry 2020-10-21 19:03:21 UTC
Created attachment 112118 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'itiva' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>
Comment 8 Katrin Fischer 2020-10-22 01:48:00 UTC
Created attachment 112138 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'itiva' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=25334
Comment 9 Katrin Fischer 2020-10-22 02:00:34 UTC
I did some more testing while working on 25334 and I think we are missing changes for the OPAC table here - with the patch applied and the database update run, I can no longer opt-in for phone messages and the templates still use "phone".
Comment 10 Kyle M Hall 2020-10-29 18:18:17 UTC
Created attachment 112669 [details] [review]
Bug 25333: (QA follow-up) Update opac messaging for new transport name
Comment 11 Katrin Fischer 2020-11-01 13:39:40 UTC
Created attachment 112806 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'itiva' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

https://bugs.koha-community.org/show_bug.cgi?id=25334
Comment 12 Katrin Fischer 2020-11-01 13:39:43 UTC
Created attachment 112807 [details] [review]
Bug 25333: (QA follow-up) Update opac messaging for new transport name

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 13 Katrin Fischer 2020-11-01 13:39:47 UTC
Created attachment 112808 [details] [review]
Bug 25333: (QA follow-up) Change phone to itiva on overduerules.tt

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 14 Jonathan Druart 2020-11-02 09:31:25 UTC
Created attachment 112820 [details] [review]
Bug 25333: Change message transport type for Talking Tech from "phone" to "itiva"

From its inception, phone notices via Talking Tech have not behaved like
other notices. Instead of reading notices generated by Koha, the Talking
Tech scripts largely generate their own notices.

We would like to pave the way to having "generic" phone notices that can
be processed by plugins to support arbitrary telephony vendors ( we will
be targeting Twilio initially ).

To that end, it seems sensible to begin by changing the messaage
transport type for Talking Tech from 'phone' to 'itiva' to
highlight its specificity and difference from standard message
transports.

Test Plan:
1) Apply this patch
2) Run updatedatabase.pl
3) Restart all the things!
4) Test Talking Tech outbound script
5) Note no changes in functionality

Signed-off-by: Christopher Zorn <Christofer.Zorn@ajaxlibrary.ca>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

JD amended patch: remove uneeded indentation change in sample_notices_message_transports.sql
Comment 15 Jonathan Druart 2020-11-02 09:31:28 UTC
Created attachment 112821 [details] [review]
Bug 25333: (QA follow-up) Update opac messaging for new transport name

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 16 Jonathan Druart 2020-11-02 09:31:32 UTC
Created attachment 112822 [details] [review]
Bug 25333: (QA follow-up) Change phone to itiva on overduerules.tt

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 17 Jonathan Druart 2020-11-02 09:40:09 UTC
Kyle, on bug 25334 it seems that the final goal is to have a plugin for the phone notifications. In that case, should not we have "itiva" code moved to a plugin and so remove "itiva"?
Comment 18 Kyle M Hall 2020-11-02 14:06:17 UTC
(In reply to Jonathan Druart from comment #17)
> Kyle, on bug 25334 it seems that the final goal is to have a plugin for the
> phone notifications. In that case, should not we have "itiva" code moved to
> a plugin and so remove "itiva"?

I would not be opposed to that! I would advocate that we still push this patch and the blockers for it until we have a working itiva plugin that could be used with the generic phone transport. At that point we could deprecate the existing itiva scripts/transport and replace them with a plugin. That would be a good improvement in may ways, offering more flexibility to what can be done with itiva.
Comment 19 Jonathan Druart 2020-11-04 12:03:14 UTC
Pushed to master for 20.11, thanks to everybody involved!